package MailFilter::RebuildMIME;

# Deal with malformed MIME.
#
# Some viruses produce malformed MIME messages that are misinterpreted
# by mail clients.  They also might slip under the radar of MIMEDefang.
# If you are worried about this, you should canonicalize all
# e-mail by enabling this filter modules.  This will
# force _all_ messages to be reconstructed as valid MIME.  It will
# increase the load on your server, and might break messages produced
# by marginal software.  Your call.
#
# based on:
# $Id: suggested-minimum-filter-for-windows-clients,v 1.81 2004/10/26 18:34:33 dfs Exp $

use strict;
use warnings;
use Mimedefang qw(message_rejected action_rebuild :logging);

sub filter_end ($) {
    my($entity) = @_;

    # No sense doing any extra work
    return if message_rejected();

    action_rebuild();
}

# DO NOT delete the next line, or Perl will complain.
1;

